//**********************************************************************//
//									//
//	Insect.shader for Q3Radiant					//
//	by Sock - 16th June 2000					//
//									//
//**********************************************************************//

textures/insect/insect_skybox
{
	qer_editorimage textures/insect/mars.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 200
	surfaceparm sky
	q3map_sun 4 3 3 150 135 50
	skyparms env/mars/mars - -
}

textures/insect/insect_light1_2K
{
	qer_editorimage textures/insect/light1.tga
	q3map_surfacelight 2000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insect/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/insect/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/insect/teleporter_side_400
{
	qer_editorimage textures/insect/telebar.tga
	q3map_surfacelight 400
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/insect/telebar.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}

	
	{
		map textures/insect/telebar_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 1
	}
}

textures/insect/jumppad_base
{
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	qer_trans .5
	q3map_lightimage textures/sfx/jumppadsmall.tga	
	q3map_surfacelight 400


	deformVertexes wave 64 sin .5 .5 0 .5	
	{
		map textures/insect/jumppad_base.tga
                tcmod rotate 45
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		clampmap textures/insect/jumppad_blend.tga
		blendfunc add
                tcmod rotate 180
                tcMod stretch sin .8 0.2 0 .2
	}
}

textures/insect/teleporter_base
{
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm trans
	qer_trans .5
	q3map_lightimage textures/insect/teleporter_light.tga	
	q3map_surfacelight 400


	deformVertexes wave 64 sin .5 .5 0 .5	
	{
		map textures/insect/teleporter_base.tga
                tcmod rotate 45
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		clampmap textures/insect/teleporter_blend.tga
		blendfunc add
                tcmod rotate 180
                tcMod stretch sin .8 0.2 0 .2
	}
}
